---
layout: post
title: Echoes
tags: [lit]
---

Recently I started reading Robert Jordan's *The Wheel of Time*  series. Each
book is well written, and the characters strong and memorable, the tales
themselves grand. The series itself vies with the *Mahabharata*, considered by
most Indians to be the greatest epic. One thing I noticed time and again is the
number of similarities, echoes, as it were, of tales from elsewhere, books and
movies. By itself, it might seem like a weakness, but no! It is a strength, for
each echo strengthens the feeling that the tale is your own experience long
forgotten, from a different life perhaps, for it is familiar and yet strange.
Perhaps like the feeling Birgitte Silverbow has for the memories of each of her
adventures with Gaidal Cain.

I have always loved the *Lord of the Rings*, but that was always tinged by a
touch of disappointment over its inspiration from Christian myth. But it was
while noting the similarities between it and *The Wheel of Time*, and
*今日から㋮王!* (*God (?!) Save The King!*), one of my favourite anime shows,
that I realised how different it was. In each case, the central villain, whether
Shai'tan, Sauron or Soushu, was imperfectly defeated -- waiting to return for a
final confrontation. (Just like Tom Riddle, some of you will point out. I'm sure
it is a common enough theme, like Loki being bound till Ragnarok.)

In both the *Lord of the Rings* and *The Wheel of Time*, the creator of the
universe... uh, well... creates the universe and then lets the drama play itself
out, not interfering any more (except in one unique case in *LOTR*). The Aes
Sedai are like the Elves - long-lived, highly respected, deserving of respect -
yet as human, as petty as any around. Curiously, the Ogier are more like the
Elves than the Aes Sedai, long lived, with an affinity for things that grow,
living in some isolation from humans, yet deadly when raised to arms. Both have
created incredible wonders, cities more beautiful than any by man, and neither
will involve themselves in the affairs of men, but both will fight the Shadow.
Orcs are perversions of Ilúvatar's creations by Morgoth, just as Trollocs and
other Shadowspawn are perversions by the Dark One and the Chosen. *Barad-dûr*,
close to Mount Doom within Mordor is where Sauron hides, and Shayol Ghul north
of the Blasted Lands is where the Bore to the Dark One's prison lies - and
Morgoth's fortress in Angband, Thangorodrim lies to the north of *Anfauglith*
(the Gasping Dust).  In each world the armies from the lands to the west of the
ocean are quite powerful, but Seandar's armies are like kids imitating soldiers
when compared to Valinor's armies. In both cases ships attempting to reach the
lands to the west have failed for quite some time. In both worlds, the world
itself was altered - in LOTR, once during the hiding of Valinor when the Arda
was made round, and again in defeating Morgoth when Middle-Earth was shattered,
and in the other during the Breaking of the World that followed the madness.

In both *今日から㋮王!* and *The Wheel of Time*, the central character, the hero
who would defeat the villain once and for all is someone who has no idea of
their initial power, but has to learn to control it and use it. And there the
most striking contrast presents itself: Yuri Shibuya is truly the most decent
hero I have ever encountered, and that's counting Goku. Anyone who has watched
the *Dragonball* series will know the import of that. On the other hand, Rand
al'Thor is, at least until the 12th book, a hard man. Oh, if ever there was a
crossover between to *The Wheel of Time* universe, what wouldn't I give for Yuri
or Goku to meet and befriend Rand! The tale of Lews Therin Telamon and his One
Hundred Companions riding to Shayol Ghul to seal Shai'tan's prison always
reminds me of the anime scenes featuring Shinou, the Great One, in his battle
with Soushu, the Originators. In both cases they somewhat succeeded, at great
personal cost. The Great One was infected by the Originators, *saidin* tainted
by the Dark One's counter-stroke. Shinou was taken over by the Originators
towards the end until Yuri freed him and Lews Therin went mad and gained his
title, the Kinslayer. Another pair of reflections: *Callandor*, the Sword that
is not a Sword, the Sword that cannot be claimed, save by the Dragon Reborn and
*Mullem Desoive Eligh Morgif*, the Demon Sword that cannot be wielded by any
save the Demon King. Both are virtually useless as swords, but both are
incredibly powerful. The humans in 今日から㋮王! fear Demons, those who can
wield magic, and people in The Wheel of Time fear those men who can channel the
tainted *saidin*. al'Lan Mandragoran reminds of Conrart Weller, with their
sword-mastery and training of the hero.

And the most recent echo, the one which prompted me to write this post, was not
from *LOTR* or *今日から㋮王!*, but from a movie. The second meeting between
Egwene al'Vere and Elaida do Avriny a'Roihan, the confrontation that results is
strikingly similar to the climax of *A Few Good Men*, right up to the
spectacular collapse of both antagonists. You can't handle the truth, indeed!
Unfortunately the ends to these confrontations are in contrast.

And that's not speaking of the echoes within *The Wheel of Time* itself,like
Perrin Aybara, Rand al'Thor and Matrim Cauthon's belief that each was no good at
handling women and the other two were. Each time that's mentioned, it makes me
chuckle. I'm sure I can spot more similarities, more echoes when I read through
the *Lord of the Rings* and *The Wheel of Time* and watch *今日から㋮王!* again.
For now, this will do. It feels good to write (?!) and I hope I'll do it soon.
Truly, though, the numerous threads of this tale do weave a most splendid
Pattern, a Pattern that will be a joy to behold when finished! Ta!
